import QtQuick 2.7
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.0
import QtQuick.VirtualKeyboard 2.1

ApplicationWindow {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello Popup World")
    id: root

    Page {
        Button {
            Layout.fillWidth: true
            font.pixelSize: 20
            text: qsTr("Popup")
            onClicked: {
                passwordsuspendInput.focus = true
                suspendPopup.open()
            }

        }
    }

    Popup {
        id: suspendPopup
        x: root.width /2 - suspendPopup.width /2
        y: root.height /8
        modal: true
        focus: true
        closePolicy: Popup.NoAutoClose

        contentItem: GridLayout {
            rows: 2
            columns: 1
            columnSpacing: 20
            rowSpacing: 20

            TextField {
                id: passwordsuspendInput
                placeholderText: qsTr("Password")
                implicitWidth: 200
                maximumLength: 10
                focus: true
                font.pixelSize: 24
                echoMode: TextInput.Password
                onAccepted: {loginsuspendButton.clicked()}
            }

            Button {
                id: loginsuspendButton
                text: "Login"
                flat: true
                implicitWidth: 200
                font.pixelSize: 24
                onClicked: {
                    passwordsuspendInput.text =""
                    suspendPopup.close()
                }
            }
        }
    }


    InputPanel {
        id: inputPanel
        z: 99
        x: 0
        y: root.height
        width: root.width

        states: State {
            name: "visible"
            when: inputPanel.active
            PropertyChanges {
                target: inputPanel
                y: root.height - inputPanel.height
            }
        }
        transitions: Transition {
            from: ""
            to: "visible"
            reversible: true
            ParallelAnimation {
                NumberAnimation {
                    properties: "y"
                    duration: 250
                    easing.type: Easing.InOutQuad
                }
            }
        }
    }
}
